Skip to main content
GET
/
hooks
cURL
curl --request GET \
  --url https://api.cradl.ai/{basePath}/hooks \
  --header 'Authorization: Bearer <token>'
{
  "nextToken": "<string>",
  "hooks": [
    {
      "updatedTime": "<string>",
      "metadata": {},
      "updatedBy": "<string>",
      "description": "<string>",
      "createdBy": "<string>",
      "hookId": "<string>",
      "name": "<string>",
      "createdTime": "<string>",
      "trigger": "ActionRun has Completed",
      "enabled": true,
      "functionId": "<string>",
      "falseActionId": "<string>",
      "trueActionId": "<string>",
      "id": "<string>",
      "config": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

nextToken
string
maxResults
string

Response

200 response

nextToken
string | null
required
Maximum string length: 4096
hooks
object[]
required